* {
  box-sizing: border-box;
}

:root {
  --space-inline: max(2rem, env(safe-area-inset-left, 2rem), env(safe-area-inset-right, 2rem));
}

body {
  color: blue;
  font-size: 1.25rem;
}

main {
  padding-inline: var(--space-inline);
}

h1 {
  animation: blink 2s steps(1) infinite;
  font-size: max(2rem, 5dvw);
  -webkit-text-stroke: 5px white;
  paint-order: stroke;
  text-align: center;

  span {
    color: red;
  }
}

p {
  margin: 0 auto 2lh;
  max-width: 70ch;

  &:first-of-type {
    text-align: center;
    font-style: italic;
  }
}

strong {
  color: red;
  font-style: italic;
}

img {
  display: block;
  margin: 1rem auto;
}

.img-1 {
  float: left;
  margin: 1lh 0 0 calc(var(--space-inline) / -2);
}

.bg {
  background: url('/images/20.gif') no-repeat;
  max-inline-size: max-content;
  margin-inline: auto;
  background-size: 100% 100%;
  padding: 1lh;
  color: white;
  font-weight: bold;
  text-shadow: 2px 2px blue, -1px -1px blue;

  p {
    text-align-last: center;
    text-align: justify;
    margin-block-end: 1lh;

    &:last-of-type {
      margin-block-end: 0;
    }
  };
}

.masterpiece {
  perspective: 10ch;
  font-size: 3em;
  inline-size: max-content;
  font-weight: bold;
  color: red;
  margin-block: 2rem;

  span {
    display: inline-block;
    transform-origin: center;
    animation: rotate 10s linear infinite;
  }
}

@keyframes rotate {
  0% {
    transform: rotateY(0deg);
  }
  100% {
    transform: rotateY(-360deg);
  }
}

marquee {
  position: sticky;
  margin-block-start: 1rem;
  margin-inline: calc(-1 * var(--space-inline));
  inset-block-end: 0;
  font-weight: bold;
  font-style: italic;
  color: red;
  background: white;
  border-block-start: 3px dashed blue;
  padding-block: 1lh;

  span {
    display: inline-flex;
    align-items: center;
    gap: 1ch;
    padding-inline: 3ch;
  }

  img {
    width: 7ch;
    height: auto;
  }
}

@keyframes blink {
  50% {
    opacity: 0;
  }
}
